#include <Servo.h>
#include <OneWire.h>
#include <DallasTemperature.h>
Servo servo_pin_10;
int _1_Vlevo = 0 ;
int _2_Vpravo = 0 ;
void ServoMove(Servo S1, int Angle)
{
  if(Angle > 180) Angle = 180;
  if(Angle < 0) Angle = 0;

  S1.write(Angle);
}

int TempSensorRead(int SensorPin)
{
  OneWire TempSensorWire(SensorPin);
  DallasTemperature TempSensor(&TempSensorWire);

  TempSensor.begin();

  float TempC;
  TempSensor.requestTemperatures();
  TempC = TempSensor.getTempCByIndex(0);

  if(TempC != DEVICE_DISCONNECTED_C)
  {
    return TempC;
  }
  else
  {
    return -1000;
  }
}


void setup()
{
  servo_pin_10.attach(10);
  Serial.begin(9600);
  _1_Vlevo = 0 ;

  _2_Vpravo = 0 ;

  ServoMove(servo_pin_10,90);
}

void loop()
{
  Serial.print("message");
  Serial.print(TempSensorRead(A0));
  Serial.println();
}